module SlidePay
  module ACH
    class Balance

      class << self

        def retrieve(location_id, options={})
          token = options[:token]
          api_key = options[:api_key]
          endpoint = options[:endpoint]

          path = "settlement/balance/#{location_id}"

          response = SlidePay.post(path: path, data: {}.to_json, token: token, api_key: api_key, endpoint: endpoint)

          if response.was_successful?
            return response.data
          else
            error_text = response.error_text unless response.error == false

            if error_text != nil
              raise "Could not get settlement balance: #{error_text}"
            else
              raise "Could not get settlement balance."
            end
          end
        end
      end
    end
  end
end
