$:.unshift(File.join(File.dirname(__FILE__), 'lib'))
$:.unshift(File.join(File.dirname(__FILE__), 'spec'))

require 'multi_json'
require 'slidepay'
require 'spec_helper'

include SlidePay

SlidePay.configure(development: true)
SlidePay.api_key = ENV["ach_api_key"]

RestClient.proxy = "http://127.0.0.1:8888"

bank_account_info = {
  location_id: ENV["location_id"],
  company_id: ENV["company_id"],
  bank_account_id: 0,
  user_master_id: ENV["user_master_id"],
  bank_account_first_name: "Father",
  bank_account_last_name: "Yummy Bears",
  name: "ACCOUNT 211",
  bank_account_type: "Personal Checking",
  bank_account_routing_number: ENV["retrieval_routing_number"],
  bank_account_account_number: ENV["retrieval_account_number"],
  bank_account_address_1: "123 blah st",
  bank_account_city: "SAN JOSE",
  bank_account_state: "CA",
  bank_account_postal_code: "11111",
  bank_account_country: "USA",
  bank_account_phone_country_code: "1",
  bank_account_phone: "1231231234",
  retrieval_amount: 0.01
}

r = ACH::Retrieval.create_with_bank_account(bank_account_info)

puts "retrieval: #{r}"

