$:.unshift(File.join(File.dirname(__FILE__), 'lib'))
$:.unshift(File.join(File.dirname(__FILE__), 'spec'))

require 'multi_json'
require 'slidepay'
require 'spec_helper'

include SlidePay

SlidePay.configure(development: true)
SlidePay.api_key = ENV["ach_api_key"]

RestClient.proxy = "http://127.0.0.1:8888"

bank_account_id_refs = {
  location_id: ENV["location_id"],
  company_id: ENV["company_id"],
  bank_account_id: ENV["retrieval_bank_account"],
  user_master_id: ENV["user_master_id"],
  retrieval_amount: 0.01
}

r = ACH::Retrieval.create_with_bank_account(bank_account_id_refs)

puts "retrieval: #{r}"