$:.unshift(File.join(File.dirname(__FILE__), 'lib'))
$:.unshift(File.join(File.dirname(__FILE__), 'spec'))

require 'multi_json'
require 'slidepay'
require 'spec_helper'

include SlidePay

SlidePay.configure(development: true)
SlidePay.api_key = ENV["ach_api_key"]

RestClient.proxy = "http://127.0.0.1:8888"

settlement_descriptor = {
  location_id: ENV["location_id"],
  company_id: ENV["company_id"],
  settlement_list:[
    { bank_account_id: ENV["settlement_bank_account"] , amount:0.25 }
  ],
  notes:'Test Settlement'
}

settlement_descriptor_list = []

settlment_result = SlidePay::ACH::Settlement.process(settlement_descriptor)

puts "Settlement processed for location_id #{ENV["location_id"]} for $0.00. Result: #{settlment_result}"